#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD8,0x1C,0x06,0xFA,0xC3,0x7E,0xDB,0x61,0xD3,0x7E,0x88,0xC8,
		0x70,0x01,0x8D,0x0A,0xD4,0x0F,0x30,0xFC,0xF8,0x4D,0x27,0xFA,
		0xDD,0x13,0x81,0xB7,0xAE,0xD4,0xB9,0x20,0x0E,0x18,0x18,0x74,
		0xF3,0x63,0xB0,0xE7,0x8B,0x71,0xCA,0xD6,0xC6,0xD4,0xAF,0xAF,
		0x38,0x2A,0x91,0x36,0xA1,0x8F,0xEE,0x11,0x31,0x2F,0xA5,0xDC,
		0xFF,0xAD,0xA2,0x83,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
